# Copyright (C) 2018-2025 by BDE ENS Paris-Saclay
# SPDX-License-Identifier: GPL-3.0-or-later

from django.urls import path

from . import views

app_name = 'food'

urlpatterns = [
    path('', views.FoodListView.as_view(), name='food_list'),
    path('<int:slug>', views.QRCodeCreateView.as_view(), name='qrcode_create'),
    path('<int:slug>/add/basic', views.BasicFoodCreateView.as_view(), name='basicfood_create'),
    path('add/transformed', views.TransformedFoodCreateView.as_view(), name='transformedfood_create'),
    path('update/<int:pk>', views.FoodUpdateView.as_view(), name='food_update'),
    path('update/ingredients/<int:pk>', views.ManageIngredientsView.as_view(), name='manage_ingredients'),
    path('detail/<int:pk>', views.FoodDetailView.as_view(), name='food_view'),
    path('detail/basic/<int:pk>', views.BasicFoodDetailView.as_view(), name='basicfood_view'),
    path('detail/transformed/<int:pk>', views.TransformedFoodDetailView.as_view(), name='transformedfood_view'),
    path('add/ingredient/<int:pk>', views.AddIngredientView.as_view(), name='add_ingredient'),
    path('redirect/', views.QRCodeRedirectView.as_view(), name='redirect_view'),
]
